## org.apache.poi.hssf.record
Class DataFormatRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.DataFormatRecord

public class DataFormatRecord
extends Record

The data format record is used to index into a series. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `sid`

Constructor Summary
`DataFormatRecord()`
`DataFormatRecord(short id, short size, byte[] data)` Constructs a DataFormat record and sets its fields appropriately.
`DataFormatRecord(short id, short size, byte[] data, int offset)` Constructs a DataFormat record and sets its fields appropriately.

Method Summary
`java.lang.Object` `clone()`
`protected void` `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`short` `getFormatFlags()` Get the format flags field for the DataFormat record.
`short` `getPointNumber()` Get the point number field for the DataFormat record.
`int` `getRecordSize()` Size of record (exluding 4 byte header)
`short` `getSeriesIndex()` Get the series index field for the DataFormat record.
`short` `getSeriesNumber()` Get the series number field for the DataFormat record.
`short` `getSid()` return the non static version of the id for this record.
`boolean` `isUseExcel4Colors()` set true to use excel 4 colors.
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` `setFormatFlags(short field_4_formatFlags)` Set the format flags field for the DataFormat record.
`void` `setPointNumber(short field_1_pointNumber)` Set the point number field for the DataFormat record.
`void` `setSeriesIndex(short field_2_seriesIndex)` Set the series index field for the DataFormat record.
`void` `setSeriesNumber(short field_3_seriesNumber)` Set the series number field for the DataFormat record.
`void` `setUseExcel4Colors(boolean value)` Sets the use excel 4 colors field value.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)
`protected void` `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### DataFormatRecord

    public DataFormatRecord()

### DataFormatRecord

    public DataFormatRecord(short id,
                            short size,
                            byte[] data)

  Constructs a DataFormat record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1006 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### DataFormatRecord

    public DataFormatRecord(short id,
                            short size,
                            byte[] data,
                            int offset)

  Constructs a DataFormat record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1006 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getPointNumber

    public short getPointNumber()

  Get the point number field for the DataFormat record.

### setPointNumber

    public void setPointNumber(short field_1_pointNumber)

  Set the point number field for the DataFormat record.

### getSeriesIndex

    public short getSeriesIndex()

  Get the series index field for the DataFormat record.

### setSeriesIndex

    public void setSeriesIndex(short field_2_seriesIndex)

  Set the series index field for the DataFormat record.

### getSeriesNumber

    public short getSeriesNumber()

  Get the series number field for the DataFormat record.

### setSeriesNumber

    public void setSeriesNumber(short field_3_seriesNumber)

  Set the series number field for the DataFormat record.

### getFormatFlags

    public short getFormatFlags()

  Get the format flags field for the DataFormat record.

### setFormatFlags

    public void setFormatFlags(short field_4_formatFlags)

  Set the format flags field for the DataFormat record.

### setUseExcel4Colors

    public void setUseExcel4Colors(boolean value)

  Sets the use excel 4 colors field value. set true to use excel 4 colors.

### isUseExcel4Colors

    public boolean isUseExcel4Colors()

  set true to use excel 4 colors.

  Returns:
    the use excel 4 colors field value.

Copyright © 2003 Apache Software Foundation.